package com.crm.rely.backend.core.constant;

import java.lang.annotation.*;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RequestSinglePointLimiter {
    /**
     * 限流key
     */
    String key() default "REQUEST_SINGLE_POINT_LIMIT:";

    /**
     * 限流类型
     */
    LimitType limitType() default LimitType.USER;
}
